name: 'Design With Validation Errors '
version: 0.0.1
schemaversion: ""
services:
  Section:
    annotations: {}
    apiversion: ""
    dependson: []
    id: null
    isannotation: false
    labels: {}
    model: meshery-shapes
    name: Section
    namespace: ""
    settings: {}
    traits:
      meshmap:
        edges: []
        id: 446cdb32-2b4c-4233-b9a1-1bfbdf00f0c3
        label: Section
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: null
          description: ""
          displayName: Meshery Shapes
          hostID: 26e64aa8-2d86-57bd-92b3-2a73160d27b4
          id: 0499d935-67ae-5f79-a806-7865387c1488
          metadata:
            isAnnotation: true
            subCategory: App Definition and Development
            svgColor: ui/public/static/img/meshmodels/meshery-shapes/color/meshery-shapes-color.svg
            svgComplete: ""
            svgWhite: ui/public/static/img/meshmodels/meshery-shapes/white/meshery-shapes-white.svg
          model:
            version: 0.7.1
          name: meshery-shapes
          registrant:
            hostname: artifacthub
          relationships: null
          schemaVersion: core.meshery.io/v1beta1
          status: enabled
          subCategory: App Definition and Development
          version: v1.0.0
        meshmodel-metadata:
          capabilities: '{"designer":{"show-node-group-badge":false, "edit":{"config":false,
            "text":false,"lock":true,"shape":{"convert-shape":false},"style":true},"label":{"edit":true,"show":true,"sync-with-config-property":"label"}}}'
          defaultData: '{"label":""}'
          genealogy: parent
          hasInvalidSchema: true
          isAnnotation: true
          primaryColor: '#00B39F'
          secondaryColor: '#00D3A9'
          shape: rectangle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides:
            background-image: none
            background-opacity: 0.1
            border-style: dashed
            border-width: 1
            data:
              label: ""
            height: 30px
            width: 30px
            z-index: 16
          styles: '{"height":"30px","width":"30px", "background-image":"none","border-width":1,"border-style":"dashed","background-opacity":0.1}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/anchornode-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/white/anchornode-white.svg
        position:
          posX: 530
          posY: 99
        whiteboardData: {}
    type: Section
    version: 0.7.1
  cluster-role-binding-id:
    annotations: {}
    apiversion: ""
    dependson: []
    id: null
    isannotation: false
    labels: {}
    model: kubernetes
    name: cluster-role-binding-id
    namespace: ""
    settings:
      role Ref: {}
      subjects: []
    traits:
      meshmap:
        edges: []
        id: 21a4b68c-ee96-47e5-bc73-567997325110
        label: Cluster Role Binding
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: null
          description: ""
          displayName: Kubernetes
          hostID: 26e64aa8-2d86-57bd-92b3-2a73160d27b4
          id: a5d424b9-55b1-5767-a451-a250c4098685
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
          model:
            version: v1.25.2
          name: kubernetes
          registrant:
            hostname: artifacthub
          relationships: null
          schemaVersion: core.meshery.io/v1beta1
          status: enabled
          subCategory: ""
          version: v1.0.0
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: false
          logoURL: Created by Meshery Authors
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          secondaryColor: '#7aa1f0'
          shape: round-rectangle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides:
            height: 25px
            width: 25px
            x: "7"
            "y": "7"
            z-index: 18
          styles: '{"height":"25px","width":"25px","x":"7", "y":"7"}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/clusterrolebinding-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/clusterrolebinding-white.svg
        position:
          posX: -30
          posY: 70
        whiteboardData: {}
    type: ClusterRoleBinding
    version: v1.25.2
  cluster-role-binding-ly:
    annotations: {}
    apiversion: ""
    dependson: []
    id: null
    isannotation: false
    labels: {}
    model: kubernetes
    name: cluster-role-binding-ly
    namespace: ""
    settings:
      role Ref:
        api Group: v1
        kind: cluster
        name: my-role
      subjects: []
    traits:
      meshmap:
        edges: []
        id: 00bd312a-3705-41aa-9e1c-490dbe6265b1
        label: Cluster Role Binding
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: null
          description: ""
          displayName: Kubernetes
          hostID: 26e64aa8-2d86-57bd-92b3-2a73160d27b4
          id: a5d424b9-55b1-5767-a451-a250c4098685
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
          model:
            version: v1.25.2
          name: kubernetes
          registrant:
            hostname: artifacthub
          relationships: null
          schemaVersion: core.meshery.io/v1beta1
          status: enabled
          subCategory: ""
          version: v1.0.0
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: false
          logoURL: Created by Meshery Authors
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          secondaryColor: '#7aa1f0'
          shape: round-rectangle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides:
            height: 25px
            width: 25px
            x: "7"
            "y": "7"
            z-index: 12
          styles: '{"height":"25px","width":"25px","x":"7", "y":"7"}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/clusterrolebinding-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/clusterrolebinding-white.svg
        position:
          posX: 310
          posY: 70
        whiteboardData: {}
    type: ClusterRoleBinding
    version: v1.25.2
  cluster-role-nr:
    annotations: {}
    apiversion: ""
    dependson: []
    id: null
    isannotation: false
    labels: {}
    model: kubernetes
    name: cluster-role-nr
    namespace: ""
    settings:
      rules: []
    traits:
      meshmap:
        edges: []
        id: b7c3161d-d673-41f9-8f7a-771fdbb3104c
        label: Cluster Role
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: null
          description: ""
          displayName: Kubernetes
          hostID: 26e64aa8-2d86-57bd-92b3-2a73160d27b4
          id: a5d424b9-55b1-5767-a451-a250c4098685
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
          model:
            version: v1.25.2
          name: kubernetes
          registrant:
            hostname: artifacthub
          relationships: null
          schemaVersion: core.meshery.io/v1beta1
          status: enabled
          subCategory: ""
          version: v1.0.0
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: false
          logoURL: Created by Meshery Authors
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          secondaryColor: '#7aa1f0'
          shape: round-rectangle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides:
            height: 22px
            width: 22px
            x: "8.5"
            "y": "7.5"
            z-index: 11
          styles: '{"height":"22px", "width":"22px", "x":"8.5", "y":"7.5"}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/clusterrole-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/clusterrole-white.svg
        position:
          posX: 210
          posY: 170
        whiteboardData: {}
    type: ClusterRole
    version: v1.25.2
  comment-lg:
    annotations: {}
    apiversion: ""
    dependson: []
    id: null
    isannotation: false
    labels: {}
    model: meshery-core
    name: comment-lg
    namespace: default
    settings:
      user Messages: []
    traits:
      meshmap:
        edges: []
        id: 260805b5-3f0e-4ee7-ab79-1a66a6854b83
        label: Comment
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: null
          description: ""
          displayName: Meshery Core
          hostID: 26e64aa8-2d86-57bd-92b3-2a73160d27b4
          id: 3e2db384-d3af-5fac-8af2-684fc3c29446
          metadata:
            isAnnotation: false
            subCategory: App Definition and Development
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgComplete: ""
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          model:
            version: 0.7.1
          name: meshery-core
          registrant:
            hostname: artifacthub
          relationships: null
          schemaVersion: core.meshery.io/v1beta1
          status: enabled
          subCategory: App Definition and Development
          version: v1.0.0
        meshmodel-metadata:
          capabilities: '{"designer":{"edit":{"config":true}}}'
          defaultData: ""
          genealogy: ""
          isAnnotation: true
          primaryColor: '#FFDE00'
          secondaryColor: '#FFDE00'
          shape: tag
          shapePolygonPoints: ""
          status: enabled
          styleOverrides:
            height: 22px
            width: 22px
            x: 1.5px
            "y": 7.5px
            z-index: 17
          styles: '{"height":"22px","width":"22px","x":"1.5px","y":"7.5px"}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/comment-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/color/comment-color.svg
        parent: 446cdb32-2b4c-4233-b9a1-1bfbdf00f0c3
        position:
          posX: 530
          posY: 90
        whiteboardData: {}
    type: Comment
    version: 0.7.1
  default:
    annotations: {}
    apiversion: ""
    dependson: []
    id: null
    isannotation: false
    labels: {}
    model: kubernetes
    name: default
    namespace: ""
    settings: {}
    traits:
      meshmap:
        edges: []
        id: d42199a2-d5cd-4224-921b-bd4643bec22d
        label: Namespace
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: null
          description: ""
          displayName: Kubernetes
          hostID: 26e64aa8-2d86-57bd-92b3-2a73160d27b4
          id: a5d424b9-55b1-5767-a451-a250c4098685
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
          model:
            version: v1.25.2
          name: kubernetes
          registrant:
            hostname: artifacthub
          relationships: null
          schemaVersion: core.meshery.io/v1beta1
          status: enabled
          subCategory: ""
          version: v1.0.0
        meshmodel-metadata:
          capabilities: |2-
             {
              "designer": {
                "edit": {
                  "shape": {
                    "convert-shape": false
                  }
                }
              }
            }
          defaultData: ""
          genealogy: parent
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: false
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          secondaryColor: '#7aa1f0'
          shape: rectangle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides:
            background-image: none
            background-opacity: 0.5
            border-style: dashed
            border-width: 2
            z-index: 14
          styles: '{"background-image":"none","border-width":2,"border-style":"dashed","background-opacity":0.5}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/namespace-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/namespace-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/namespace-white.svg
        position:
          posX: 210
          posY: 49
        whiteboardData: {}
    type: Namespace
    version: v1.25.2
  replication-controller-jy:
    annotations: {}
    apiversion: ""
    dependson: []
    id: null
    isannotation: false
    labels: {}
    model: kubernetes
    name: replication-controller-jy
    namespace: default
    settings: {}
    traits:
      meshmap:
        edges: []
        id: 6da4e565-a9e1-4d9d-a6c3-c5bcb92d705d
        label: Replication Controller
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: null
          description: ""
          displayName: Kubernetes
          hostID: 26e64aa8-2d86-57bd-92b3-2a73160d27b4
          id: a5d424b9-55b1-5767-a451-a250c4098685
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
          model:
            version: v1.25.2
          name: kubernetes
          registrant:
            hostname: artifacthub
          relationships: null
          schemaVersion: core.meshery.io/v1beta1
          status: enabled
          subCategory: ""
          version: v1.0.0
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          secondaryColor: '#7aa1f0'
          shape: cut-rectangle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides:
            z-index: 15
          styles: ""
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/replicationcontroller-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/replicationcontroller-white.svg
        parent: d42199a2-d5cd-4224-921b-bd4643bec22d
        position:
          posX: 230
          posY: 50
        whiteboardData: {}
    type: ReplicationController
    version: v1.25.2
  replication-controller-ld:
    annotations: {}
    apiversion: ""
    dependson: []
    id: null
    isannotation: false
    labels: {}
    model: kubernetes
    name: replication-controller-ld
    namespace: default
    settings: {}
    traits:
      meshmap:
        edges: []
        id: 0463ce18-8cc4-4082-a5ab-8582aaed0332
        label: Replication Controller
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: null
          description: ""
          displayName: Kubernetes
          hostID: 26e64aa8-2d86-57bd-92b3-2a73160d27b4
          id: a5d424b9-55b1-5767-a451-a250c4098685
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
          model:
            version: v1.25.2
          name: kubernetes
          registrant:
            hostname: artifacthub
          relationships: null
          schemaVersion: core.meshery.io/v1beta1
          status: enabled
          subCategory: ""
          version: v1.0.0
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          secondaryColor: '#7aa1f0'
          shape: cut-rectangle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides:
            z-index: 13
          styles: ""
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/replicationcontroller-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/replicationcontroller-white.svg
        parent: d42199a2-d5cd-4224-921b-bd4643bec22d
        position:
          posX: 190
          posY: 30
        whiteboardData: {}
    type: ReplicationController
    version: v1.25.2
